#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0x19e7f00b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xcf2a6966, "up" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6626afca, "down" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x921c7bd5, "single_release" },
	{ 0xeb614530, "single_open" },
	{ 0x62bca729, "__seq_puts" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79c8fb59, "seq_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b8de81, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x668b19a1, "down_read" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc8d3ac43, "proc_remove" },
	{ 0xe649f652, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x23b74510, "filp_open" },
	{ 0x1cd1d42a, "kernel_read" },
	{ 0x8bb02301, "filp_close" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1000e51, "schedule" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x148653, "vsnprintf" },
	{ 0x1fec1128, "nvidia_get_rm_ops" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x4d9cd63b, "cdev_init" },
	{ 0xb301d494, "cdev_add" },
	{ 0xec6fc6e4, "proc_mkdir_mode" },
	{ 0x2cf14d17, "proc_create_data" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa1d5789d, "kmalloc_caches" },
	{ 0x9265386d, "kmalloc_trace_noprof" },
	{ 0xc9029ff7, "fget" },
	{ 0x133d841f, "fput" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x31488dbf, "backlight_device_register" },
	{ 0x530b149c, "backlight_device_unregister" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x163d74fe, "seq_lseek" },
	{ 0x5f3750b5, "param_ops_charp" },
	{ 0x28b19f17, "param_ops_bool" },
	{ 0xbcd2d229, "param_ops_int" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6fd7bb7b, "kthread_stop" },
	{ 0x1d1d65ee, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6682447a, "vmalloc_to_page" },
	{ 0xd261ef3c, "wake_up_process" },
	{ 0xe67f590a, "module_layout" },
};

MODULE_INFO(depends, "nvidia,video");


MODULE_INFO(srcversion, "331D02EF3DD2CBE2B7034BE");
