#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf42d58a3, "iommu_dev_enable_feature" },
	{ 0xae0b2bab, "iommu_dev_disable_feature" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x87fe4181, "iommu_sva_bind_device" },
	{ 0x23722d99, "mmput" },
	{ 0x63f2e2cb, "iommu_sva_unbind_device" },
	{ 0x9eab2bcb, "iommu_sva_get_pasid" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdcb764ad, "memset" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9f984513, "strrchr" },
	{ 0x92997ed8, "_printk" },
	{ 0x5d784826, "nvUvmInterfaceCslIncrementIv" },
	{ 0x2c22b46f, "nvUvmInterfaceCslEncrypt" },
	{ 0x5b446776, "nvUvmInterfaceCslDecrypt" },
	{ 0x1b556dea, "nvUvmInterfaceCslQueryMessagePool" },
	{ 0xd15a3e1c, "nvUvmInterfaceCslRotateIv" },
	{ 0x8f58be42, "param_ops_ulong" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x53b954a2, "up_read" },
	{ 0xc1f02f56, "nvUvmInterfaceCslSign" },
	{ 0xcfa35b3c, "__task_pid_nr_ns" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x1000e51, "schedule" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbcd2d229, "param_ops_int" },
	{ 0x87c656a8, "get_mem_cgroup_from_mm" },
	{ 0x81403e8f, "int_active_memcg" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6fd7bb7b, "kthread_stop" },
	{ 0x1d1d65ee, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6682447a, "vmalloc_to_page" },
	{ 0xd261ef3c, "wake_up_process" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x6167381d, "node_states" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe649f652, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe877011e, "unpin_user_page" },
	{ 0xd4e6c84, "address_space_init_once" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4d9cd63b, "cdev_init" },
	{ 0xb301d494, "cdev_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x133d841f, "fput" },
	{ 0xc9029ff7, "fget" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9d382c46, "unmap_mapping_range" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x898d728d, "pin_user_pages" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xe2964344, "__wake_up" },
	{ 0xae53f253, "kmem_cache_destroy" },
	{ 0xc2b66e29, "find_vma" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3c60571b, "vmap" },
	{ 0x851c7a66, "set_page_dirty" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe0854618, "kmem_cache_free" },
	{ 0x94961283, "vunmap" },
	{ 0xe6b30f70, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x5ab3ab59, "kmem_cache_create" },
	{ 0xc3385e21, "nvUvmInterfaceSessionDestroy" },
	{ 0x84ccfdfb, "nvUvmInterfaceDeRegisterUvmOps" },
	{ 0xbd9bc90d, "nvUvmInterfaceSessionCreate" },
	{ 0x550cc5f7, "nvUvmInterfaceRegisterUvmCallbacks" },
	{ 0x921c7bd5, "single_release" },
	{ 0xeb614530, "single_open" },
	{ 0xec6fc6e4, "proc_mkdir_mode" },
	{ 0x455eced3, "proc_symlink" },
	{ 0xf7419bbb, "nvUvmInterfaceP2pObjectCreate" },
	{ 0x46a0aa1d, "nvUvmInterfaceGetP2PCaps" },
	{ 0x578be8bb, "seq_printf" },
	{ 0x2cf14d17, "proc_create_data" },
	{ 0xce96a1a4, "nvUvmInterfaceP2pObjectDestroy" },
	{ 0xc8d3ac43, "proc_remove" },
	{ 0xa62da25a, "nvUvmInterfaceAddressSpaceDestroy" },
	{ 0x78ba08fc, "nvUvmInterfaceDeviceDestroy" },
	{ 0x4bc0e431, "nvUvmInterfaceUnsetPageDirectory" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeb1a59ab, "nvUvmInterfaceQueryCopyEnginesCaps" },
	{ 0x19f28917, "nvUvmInterfaceServiceDeviceInterruptsRM" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbcf6c453, "nvUvmInterfaceGetGpuInfo" },
	{ 0x1fe6d8d, "nvUvmInterfaceRegisterGpu" },
	{ 0x5f10c710, "nvUvmInterfaceDeviceCreate" },
	{ 0xaa9c1109, "nvUvmInterfaceUnregisterGpu" },
	{ 0xa916b694, "strnlen" },
	{ 0x9a138db2, "nvUvmInterfaceQueryCaps" },
	{ 0xe701a2bb, "nvUvmInterfaceAddressSpaceCreate" },
	{ 0xac432e9f, "nvUvmInterfaceGetFbInfo" },
	{ 0xa452244c, "nvUvmInterfaceGetEccInfo" },
	{ 0x534759f3, "nvUvmInterfaceSetPageDirectory" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1ef0d097, "dma_alloc_attrs" },
	{ 0x8d4e7a5a, "dma_free_attrs" },
	{ 0x84f3aaff, "dma_map_page_attrs" },
	{ 0x4b550101, "dma_unmap_page_attrs" },
	{ 0x79c8fb59, "seq_read" },
	{ 0x163d74fe, "seq_lseek" },
	{ 0x5f3750b5, "param_ops_charp" },
	{ 0x6626afca, "down" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb000909e, "nvUvmInterfaceDupAddressSpace" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x357690bc, "pin_user_pages_remote" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4cbfd06, "__mmu_notifier_register" },
	{ 0x23f1efd8, "__mmdrop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x2391873, "vm_insert_page" },
	{ 0xf5d96a0e, "__free_pages" },
	{ 0x6b2b3f50, "alloc_pages_noprof" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x36e57696, "nvUvmInterfacePagingChannelsUnmap" },
	{ 0xd5057c22, "nvUvmInterfaceMemoryFree" },
	{ 0x6fcca1a3, "nvUvmInterfacePagingChannelsMap" },
	{ 0x55b4744b, "nvUvmInterfaceMemoryCpuMap" },
	{ 0x4d7a107f, "nvUvmInterfaceMemoryCpuUnMap" },
	{ 0x246cbff7, "nvUvmInterfaceDupAllocation" },
	{ 0x7f03ef2d, "nvUvmInterfaceMemoryAllocFB" },
	{ 0x698f6a77, "nvUvmInterfaceMemoryAllocSys" },
	{ 0x942fa6aa, "nvUvmInterfacePagingChannelPushStream" },
	{ 0xcd40176d, "nvUvmInterfaceChannelDestroy" },
	{ 0x892a63e7, "nvUvmInterfacePagingChannelDestroy" },
	{ 0x7f450da8, "nvUvmInterfaceDeinitCslContext" },
	{ 0xe45112d9, "nvUvmInterfaceTsgDestroy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x71de450f, "nvUvmInterfaceTsgAllocate" },
	{ 0xb783c89d, "nvUvmInterfaceChannelAllocate" },
	{ 0xb759d51b, "nvUvmInterfaceCslInitContext" },
	{ 0x89e0959d, "nvUvmInterfacePagingChannelAllocate" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5cc37937, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7bd28282, "find_vma_intersection" },
	{ 0x618911fc, "numa_node" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd9b60cd6, "nvUvmInterfaceFlushReplayableFaultBuffer" },
	{ 0xb7c0f443, "sort" },
	{ 0xd1600093, "nvUvmInterfaceOwnPageFaultIntr" },
	{ 0x1ebf5deb, "nvUvmInterfaceDestroyFaultInfo" },
	{ 0x1138c8e8, "nvUvmInterfaceInitFaultInfo" },
	{ 0x69eb8138, "nvUvmInterfaceReportNonReplayableFault" },
	{ 0x5b7e7949, "nvUvmInterfaceHasPendingNonReplayableFaults" },
	{ 0xe49893bd, "nvUvmInterfaceGetNonReplayableFaults" },
	{ 0x68da4fcb, "nvUvmInterfaceEnableAccessCntr" },
	{ 0x7b23607e, "nvUvmInterfaceDisableAccessCntr" },
	{ 0x64a6a01, "nvUvmInterfaceDestroyAccessCntrInfo" },
	{ 0xec03a88a, "nvUvmInterfaceInitAccessCntrInfo" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x148653, "vsnprintf" },
	{ 0xa1d5789d, "kmalloc_caches" },
	{ 0x9265386d, "kmalloc_trace_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xbef3c5d7, "nvUvmInterfaceTogglePrefetchFaults" },
	{ 0x4ea5d10, "ksize" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf7fb3b2f, "__folio_put" },
	{ 0xe73ba70d, "__put_devmap_managed_folio_refs" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0xf16f1930, "__alloc_pages_noprof" },
	{ 0x9166fada, "strncpy" },
	{ 0x4ca663e, "nvUvmInterfacePmaAllocPages" },
	{ 0xffab807, "nvUvmInterfacePmaFreePages" },
	{ 0x30aeb11d, "nvUvmInterfacePmaUnregisterEvictionCallbacks" },
	{ 0xccdb149b, "nvUvmInterfacePmaPinPages" },
	{ 0xf1e046cc, "panic" },
	{ 0x525172f0, "nvUvmInterfaceGetPmaObject" },
	{ 0x90df6793, "nvUvmInterfacePmaRegisterEvictionCallbacks" },
	{ 0xbc96c773, "handle_mm_fault" },
	{ 0x8bb7e220, "get_user_pages_remote" },
	{ 0xedfea817, "__folio_lock" },
	{ 0x106ecc9f, "unlock_page" },
	{ 0x4b170db8, "migrate_vma_setup" },
	{ 0xc16a1762, "migrate_vma_finalize" },
	{ 0x743e1776, "migrate_vma_pages" },
	{ 0x51f732db, "nvUvmInterfaceFreeDupedHandle" },
	{ 0x203a44d1, "nvUvmInterfaceGetExternalAllocPtes" },
	{ 0x710977d6, "nvUvmInterfaceGetChannelResourcePtes" },
	{ 0xd18cb4c2, "nvUvmInterfaceDupMemory" },
	{ 0x27491fbc, "nvUvmInterfaceStopChannel" },
	{ 0x43e66ecb, "nvUvmInterfaceReleaseChannel" },
	{ 0x9ad73756, "nvUvmInterfaceRetainChannel" },
	{ 0xf82d8f8b, "nvUvmInterfaceBindChannelResources" },
	{ 0x28b19f17, "param_ops_bool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3b644591, "__bitmap_shift_left" },
	{ 0x1419a1c2, "mmu_interval_notifier_insert" },
	{ 0x481d1910, "mmu_interval_read_begin" },
	{ 0x20d372b0, "hmm_range_fault" },
	{ 0xc6d486c6, "mmu_interval_notifier_remove" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe67f590a, "module_layout" },
};

MODULE_INFO(depends, "nvidia");


MODULE_INFO(srcversion, "2926D29C43736834C2B4CF5");
